// RR20210814 Simple LED blink on pins 1.4 & 3.4

typedef unsigned char *PUINT8;
typedef unsigned char __xdata *PUINT8X;
typedef const unsigned char __code *PUINT8C;
typedef unsigned char __xdata UINT8X;
typedef unsigned char  __data UINT8D;

#include "CH554.h"
//#include "debug.h"

#define MDELAY
// #define UART0
// #define UART1
// #define WDTM

#include "ch554_lib.h"
 
// ===== main.c ========================================================================================================

uint16_t wait = 500;

// Port 1.4
#define LED_PIN14 4
SBIT(LED14, 0x90, LED_PIN14);
// Port 3.4
#define LED_PIN34 4
SBIT(LED34, 0xB0, LED_PIN34);


void main() {
    CfgFsys();

    P1_MOD_OC = P1_MOD_OC |(1<<LED_PIN14);
    P1_DIR_PU = P1_DIR_PU |	(1<<LED_PIN14);
	
    P3_MOD_OC = P3_MOD_OC |(1<<LED_PIN34);
    P3_DIR_PU = P3_DIR_PU |	(1<<LED_PIN34);
	
    while (1) {
    	mDelaymS(wait);
        LED14 = !LED14;
        LED34 = !LED34;
		}
}
// =====================================================================================================================
