// RR20210813 fix typo BUAD -> BAUD
// RR20210814 make optional #ifdef compile sections:  MDELAY UART0 UART1 WDTM 

#pragma once

#include <stdint.h>

void	CfgFsys( );

#ifdef MDELAY
void	mDelayuS( uint16_t n );
void	mDelaymS( uint16_t n );
#endif  // #ifdef MDELAY

#ifdef UART0
#ifndef  UART0_BAUD
#define  UART0_BAUD    9600
#endif
void  	CH554UART0Alter();
void	mInitSTDIO( );
uint8_t CH554UART0RcvByte( );
void  	CH554UART0SendByte(uint8_t SendDat);
#endif  // #ifdef UART0

#ifdef UART1
#ifndef  UART1_BAUD
#define  UART1_BAUD    9600
#endif
void	UART1Setup( );
uint8_t CH554UART1RcvByte( );
void  	CH554UART1SendByte(uint8_t SendDat);
#endif  // #ifdef UART1

#ifdef WDTM
void 	CH554WDTModeSelect(uint8_t mode);
void 	CH554WDTFeed(uint8_t tim);
#endif  // #ifdef WDTM

typedef void(* __data FunctionReference)();
extern FunctionReference runBootloader;
